/**
  * SimpleAdaptiveSlider by Itchief v2.0.0 (https://github.com/itchief/ui-components/tree/master/simple-adaptive-slider)
  * Copyright 2020 - 2021 Alexander Maltsev
  * Licensed under MIT (https://github.com/itchief/ui-components/blob/master/LICENSE)
  */

/* стили для корневого элемента слайдера */
.itcss {
  position: relative;
  overflow: hidden;
  /* max-width: 600px; */
  height: 16em;
  width: 95%;
  margin-top: 80px;
  border-radius: 10px;
  margin-left: auto;
  margin-right: auto;
}

/* стили для wrapper */
.itcss__wrapper {
  position: relative;
  overflow: hidden;
  background-color: #fff;
}

/* стили для элемента, в котором непосредственно расположены элементы (слайды) */
.itcss__items {
  display: flex;
  transition: transform 0.5s ease;
}

/* класс для отключения transition */
.transition-none {
  transition: none;
}

/* стили для элементов */
.itcss__item {
  flex: 0 0 100%;
  max-width: 100%;
  position: relative;
}

/* кнопки Prev и Next */
.itcss__control {
  position: absolute;
  top: 50%;
  width: 40px;
  height: 50px;
  transform: translateY(-50%);
  display: none;
  align-items: center;
  justify-content: center;
  color: #fff;
  background: rgba(0, 0, 0, 0.3);
  opacity: 0.5;
  user-select: none;
}

.itcss__control_show {
  display: flex;
}

.itcss__control:hover,
.itcss__control:focus {
  color: #fff;
  text-decoration: none;
  opacity: 0.7;
}

.itcss__control_prev {
  left: 0;
}

.itcss__control_next {
  right: 0;
}

.itcss__control::before {
  content: '';
  display: inline-block;
  width: 20px;
  height: 20px;
  background: transparent no-repeat center center;
  background-size: 100% 100%;
}

.itcss__control_prev::before {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E");
}

.itcss__control_next::before {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E");
}

/* Индикаторы */
.itcss__indicators {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 10px;
  display: flex;
  justify-content: center;
  padding-left: 0;
  margin: 0 15%;
  list-style: none;
  user-select: none;
}

.itcss__indicator {
  flex: 0 1 auto;
  width: 30px;
  height: 4px;
  margin-right: 3px;
  margin-left: 3px;
  background-color: rgba(255, 255, 255, 0.5);
  background-clip: padding-box;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  cursor: pointer;
}

.itcss__indicator_active {
  background-color: #fff;
}
